# Project: ipv6calc
# File   : TODO
# Version: $Id: TODO,v 1.26 2014/02/13 21:55:18 ds6peter Exp $

TODO list
=========

Next
----------
Show on -vv whether md5 and getopt were compiled in or shared lib is used

Short term
----------

Data libraries
* support external db files for BuiltIn databases (targeted for 0.97.0)


Middle term
-----------

Features:
* showinfo/machinereadable:
    should be able to switch between multiline and single line mode (source is already prepared)
    should be able to print a prefix on tokens (source is already prepared)A

Format:
* octal:
    should also be understandable by input (currently, only output is supported)

IEEE/OUI library:
* perhaps more filtering of unnecessary information

Creating a dedicated output library

Code cleanup:
* finish splint

Help:
* add more examples in inline help

ipv6calcweb.cgi:
* add alarm wrapper around call of ipv6calc

Documentation:
* add more information to USAGE docs


Features requested from others:

-call no kernel-specific or userland-specific functions, just C.

ipv6calc C library would contain routines to represent  the
following forms (and convert between them):
  -x:x:x:x:x:x:x:x                       
  -::                                    
  -x:x:x:x:x:x:d.d.d.d
  -ipv6-address/prefix-length
  -scoped_address%scope_id
  -base 85 (compact notation)
  -URL's
  -binary labels
  -comparing addresses, v4/v4, v4/v6
  -not use malloc or strxxx functions.
